/*-----------------------------------*\
 * #style.css
\*-----------------------------------*/

/**
 * copyright 2022 codewithsadee
 */

/*-----------------------------------*\
 * #CUSTOM PROPERTY
\*-----------------------------------*/

:root {
  /**
   * colors
   */

  --middle-blue-green: hsl(176, 35%, 63%);
  --sonic-silver: hsl(0, 0%, 44%);
  --eerie-black: hsl(0, 0%, 9%);
  --ocean-green: hsl(148, 45%, 58%);
  --candy-pink: hsl(356, 65%, 63%);
  --cultured: hsl(0, 0%, 96%);
  --white: hsl(0, 0%, 100%);
  --black: hsl(0, 0%, 0%);
  --yellow: hsl(38, 22%, 93%);
  --abu: hsl(0, 0%, 33%);

  /**
   * typography
   */

  --ff-jost: "Jost", sans-serif;

  --fs-1: 2.7rem;
  --fs-2: 2.2rem;
  --fs-3: 1.95rem;
  --fs-4: 1.85rem;
  --fs-5: 1.7rem;
  --fs-6: 1.475rem;
  --fs-7: 1.35rem;
  --fs-8: 1.25rem;
  --fs-9: 1.15rem;
  --fs-10: 0.9rem;

  --fw-500: 500;
  --fw-600: 600;

  /**
   * transition
   */

  --transition-1: 0.25s ease;
  --transition-2: 0.75s ease;
  --cubic-out: cubic-bezier(0.51, 0.03, 0.64, 0.28);
  --cubic-in: cubic-bezier(0.33, 0.85, 0.56, 1.02);

  /**
   * spacing
   */

  --section-padding: 60px;
}

/*-----------------------------------*\
 * #RESET
\*-----------------------------------*/

*,
*::before,
*::after {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

li {
  list-style: none;
}

a {
  text-decoration: none;
}

a,
img,
span,
input,
button,
ion-icon {
  display: block;
}

input,
button {
  background: none;
  border: none;
  font: inherit;
}

button {
  text-align: left;
  cursor: pointer;
}

input {
  width: 100%;
  outline-color: var(--middle-blue-green);
}

img {
  height: auto;
}

ion-icon {
  pointer-events: none;
}

html {
  font-family: var(--ff-jost);
  color: var(--abu);
  scroll-behavior: smooth;
}

body {
  background: var(--white);
  padding-block: 70px;
}

/*-----------------------------------*\
 * #REUSED STYLE
\*-----------------------------------*/

.container {
  padding-inline: 15px;
}

a,
button {
  transition: var(--transition-1);
}

h3 > a {
  color: inherit;
}

.h1,
.h2,
.h3,
.h4 {
  color: var(--eerie-black);
  font-weight: var(--fw-600);
}

.h1 {
  font-size: var(--fs-1);
  line-height: 1;
}

.h2 {
  font-size: var(--fs-2);
}

.h3 {
  font-size: var(--fs-6);
}

.h4 {
  font-size: var(--fs-7);
  font-weight: var(--fw-500);
}

.btn {
  background: var(--background, var(--eerie-black));
  color: var(--color, var(--white));
  font-weight: var(--fw-600);
  height: var(--height, 60px);
  padding-inline: 50px;
  border: 1px solid var(--border-color, var(--eerie-black));
  border-radius: 6px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.btn-primary:is(:hover, :focus) {
  --background: var(--white);
  --color: var(--eerie-black);
  --border-color: var(--eerie-black);
}

.btn-secondary {
  --height: 50px;
  --background: var(--white);
  --color: var(--eerie-black);
  --border-color: var(--white);
}

.btn-secondary:is(:hover, :focus) {
  --background: var(--eerie-black);
  --color: var(--white);
  --border-color: var(--eerie-black);
}

.btn-outline {
  --height: 50px;
  --background: var(--white);
  --color: var(--eerie-black);
  --border-color: var(--eerie-black);
  padding-inline: 40px;
}

.btn-outline:is(:hover, :focus) {
  --background: var(--eerie-black);
  --color: var(--white);
  --border-color: var(--eerie-black);
}

.section {
  padding-block: var(--section-padding);
}

.w-100 {
  width: 100%;
}

.section-title {
  text-align: center;
  margin-bottom: 30px;
}

/*-----------------------------------*\
 * #HEADER
\*-----------------------------------*/

.header-search {
  display: none;
}

.header {
  position: absolute;
  top: 0;
  left: 0;
  background: var(--white);
  width: 100%;
  padding-block: 20px;
  z-index: 4;
  transition: var(--transition-1);
}

.header.active {
  position: fixed;
  box-shadow: 0 2px 20px hsla(0, 0%, 0%, 0.1);
}

.header .container {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.nav-open-btn {
  display: flex;
  flex-direction: column;
  gap: 4px;
  padding: 8px;
}

.nav-open-btn span {
  width: 20px;
  height: 2px;
  background: var(--black);
  transition: var(--transition-1);
}

.nav-open-btn span:nth-child(2) {
  transform: scaleX(0.5);
  transform-origin: right;
}

.nav-open-btn:is(:hover, :focus) span:nth-child(2) {
  transform: scaleX(1);
}

.header-actions {
  background: var(--white);
  position: fixed;
  bottom: 0;
  left: 0;
  width: 100%;
  display: flex;
  justify-content: space-evenly;
  align-items: center;
  gap: 5px;
  padding-block: 16px 10px;
  box-shadow: 0 -2px 20px hsla(0, 0%, 0%, 0.1);
  z-index: 1;
}

.header-action-btn {
  position: relative;
  width: 50px;
  text-align: center;
}

.header-action-btn ion-icon {
  margin-inline: auto;
  font-size: 22px;
  margin-bottom: 3px;
}

.header-action-label {
  color: var(--sonic-silver);
  font-size: var(--fs-10);
  transition: var(--transition-1);
}

.header-action-btn:is(:hover, :focus) .header-action-label {
  color: var(--eerie-black);
}

.header-action-btn .btn-badge {
  position: absolute;
  top: -5px;
  right: 0;
  background: var(--background, var(--eerie-black));
  width: 20px;
  height: 20px;
  display: grid;
  place-items: center;
  line-height: 0;
  font-size: 13px;
  color: var(--white);
  border-radius: 50%;
}

.header-action-btn .btn-badge.green {
  --background: var(--middle-blue-green);
}

.navbar {
  background: var(--white);
  position: fixed;
  top: 0;
  right: -300px;
  max-width: 300px;
  width: 100%;
  height: 100%;
  padding: 30px 25px;
  z-index: 3;
  visibility: hidden;
  transition: 0.25s var(--cubic-out);
}

.navbar.active {
  visibility: visible;
  transform: translateX(-300px);
  transition: 0.5s var(--cubic-in);
}

.navbar-top {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-bottom: 60px;
}

.nav-close-btn ion-icon {
  font-size: 23px;
}

.navbar-link {
  padding-block: 10px;
  color: var(--eerie-black);
}

.navbar-list > li:not(:last-child) {
  border-bottom: 1px solid var(--cultured);
}

.overlay {
  position: fixed;
  inset: 0;
  background: var(--black);
  opacity: 0;
  pointer-events: none;
  transition: var(--transition-1);
  z-index: 2;
}

.overlay.active {
  opacity: 0.7;
  pointer-events: all;
}

/*-----------------------------------*\
 * #HERO
\*-----------------------------------*/

.img,
svg {
  display: block;
  max-width: 100%;
}

.container {
  width: 100%;
  padding-right: 15px;
  padding-left: 15px;
  margin-right: auto;
  margin-left: auto;
}

@media (min-width: 576px) {
  .container {
    max-width: 540px;
  }
}

@media (min-width: 768px) {
  .container {
    max-width: 720px;
  }
}

@media (max-width: 768px) {
  .tinyflow-slide__background__element {
    height: 60vh; /* Sesuaikan tinggi gambar di perangkat mobile */
    object-position: center center; /* Agar gambar tetap terpusat */
  }
}

@media (min-width: 992px) {
  .container {
    max-width: 960px;
  }
}

@media (min-width: 1200px) {
  .container {
    max-width: 1140px;
  }
}

@media (min-width: 1400px) {
  .container {
    max-width: 1320px;
  }
}

@media (min-width: 1600px) {
  .container {
    max-width: 1440px;
  }
}

.tinyflow-slider {
  width: 100%;
}

.tinyflow-slide {
  min-height: 100vh;
  min-height: 100svh;
  position: relative;
  isolation: isolate;
  display: -ms-grid;
  display: grid;
  -ms-flex-line-pack: center;
  align-content: center;
}

.tinyflow-slide__background,
.tinyflow-slide__background::after,
.tinyflow-slide__background__element {
  position: absolute;
  inset: 0;
  width: 100%;
  height: 100%;
  z-index: -1;
}

.tinyflow-slide__background::after {
  content: "";
  background-color: rgba(0, 0, 0, 0.25);
}

.tinyflow-slide__background {
  overflow: hidden;
}

.tinyflow-slide__background__element {
  height: 100%;
  width: 100%;
  -webkit-transform: scale(1.05);
  -ms-transform: scale(1.05);
  transform: scale(1.05);
  -o-object-fit: cover;
  object-fit: cover;
  -webkit-transition: -webkit-transform calc(var(--data-speed, 300) * 1ms)
    linear calc(var(--data-speed, 300) * 1ms);
  transition: -webkit-transform calc(var(--data-speed, 300) * 1ms) linear
    calc(var(--data-speed, 300) * 1ms);
  -o-transition: transform calc(var(--data-speed, 300) * 1ms) linear
    calc(var(--data-speed, 300) * 1ms);
  transition: transform calc(var(--data-speed, 300) * 1ms) linear
    calc(var(--data-speed, 300) * 1ms);
  transition: transform calc(var(--data-speed, 300) * 1ms) linear
      calc(var(--data-speed, 300) * 1ms),
    -webkit-transform calc(var(--data-speed, 300) * 1ms) linear calc(var(
            --data-speed,
            300
          ) * 1ms);
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  pointer-events: none;
}

.swiper-slide-active .tinyflow-slide__background__element {
  -webkit-transform: scale(1);
  -ms-transform: scale(1);
  transform: scale(1);
  -webkit-transition-delay: 0ms;
  -o-transition-delay: 0ms;
  transition-delay: 0ms;
}

.tinyflow-slide__card {
  color: var(--color-primary);
  padding-top: 5rem;
  padding-bottom: 5rem;
}

.tinyflow-slide__content {
  position: relative;
  -webkit-transition: all calc((var(--data-speed, 300) / 2) * 1ms)
    var(--easing-function);
  -o-transition: all calc((var(--data-speed, 300) / 2) * 1ms)
    var(--easing-function);
  transition: all calc((var(--data-speed, 300) / 2) * 1ms)
    var(--easing-function);
}

.swiper-slide:not(.swiper-slide-active) .tinyflow-slide__content {
  opacity: 0;
  visibility: hidden;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  pointer-events: none;
}

.swiper-slide.swiper-slide-active .tinyflow-slide__content {
  -webkit-transform: translateY(0%);
  -ms-transform: translateY(0%);
  transform: translateY(0%);
}

.swiper-slide.swiper-slide-prev .tinyflow-slide__content {
  -webkit-transform: translateY(-10%);
  -ms-transform: translateY(-10%);
  transform: translateY(-10%);
}

.swiper-slide.swiper-slide-next .tinyflow-slide__content {
  -webkit-transform: translateY(10%);
  -ms-transform: translateY(10%);
  transform: translateY(10%);
}

.tinyflow-slide__content__title {
  font-size: 4rem;
  line-height: 1.25;
  font-weight: 500;
  max-width: 20ch;
  margin-bottom: 3rem;
  color: var(--white);
}

.tinyflow-slide__content__text {
  font-size: 18px;
}

.tinyflow-slider__arrow {
  --_size: 48px;
  position: absolute;
  z-index: 2;
  bottom: 40px;
  -webkit-transform: translate(var(--_translateX, 0), 0);
  -ms-transform: translate(var(--_translateX, 0), 0);
  transform: translate(var(--_translateX, 0), 0);
  width: var(--_size);
  height: var(--_size);
  font-size: calc(var(--_size) / 3);
  display: -webkit-inline-box;
  display: -ms-inline-flexbox;
  display: inline-flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
  border-radius: 10rem;
  color: var(--white);
  background-color: rgba(var(--color-navigation-bg-rgb), 0.35);
  -webkit-backdrop-filter: blur(12px);
  backdrop-filter: blur(12px);
  border: 0;
  cursor: pointer;
  -webkit-transition: background-color 0.05s var(--easing-function);
  -o-transition: background-color 0.05s var(--easing-function);
  transition: background-color 0.05s var(--easing-function);
}

.tinyflow-slider__arrow--prev {
  --_translateX: 0;
}

.tinyflow-slider__arrow--next {
  --_translateX: calc(var(--_size) + 15px);
}

.tinyflow-slider__arrow__progress {
  --_progress: 0;
  position: absolute;
  inset: 0;
  width: var(--_size);
  height: var(--_size);
  stroke: var(--color-primary);
  -webkit-transform: rotate(-90deg);
  -ms-transform: rotate(-90deg);
  transform: rotate(-90deg);
  stroke-dasharray: var(--_progress) 100;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  pointer-events: none;
}

.tinyflow-slider__arrow:active {
  background-color: rgba(var(--color-navigation-bg-rgb), 0.5);
}

@media (hover: hover) {
  .tinyflow-slider__arrow:hover,
  .tinyflow-slider__arrow:focus-visible {
    background-color: rgba(var(--color-navigation-bg-rgb), 0.5);
  }
}

.btn-small {
  padding-inline: 15px; /* Padding lebih kecil untuk tombol ramping */
  height: 60px; /* Atur tinggi khusus */
  /* Sedikit lebih kecil dari ukuran default */
  width: 200px;
}

/*-----------------------------------*\
 * #SERVICE
\*-----------------------------------*/

.service {
  padding-block: 45px;
  background-color: var(--ocean-green);
}

.service-list {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  gap: 40px;
}

.service-item {
  max-width: 235px;
  width: 100%;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  gap: 20px;
}

.service-item-icon {
  width: 45px;
  color: var(--white);
}

.service-item-icon img {
  margin-inline: auto;
  color: var(--white);
}

.service-item-title {
  color: var(--white);
  font-size: var(--fs-7);
  font-weight: var(--fw-600);
}

.service-item-text {
  color: var(--white);
}

/*-----------------------------------*\
 * #VIDEO
\*-----------------------------------*/

.video-section {
  position: relative;
  width: 100%;
  height: auto;
  padding: 70px; /* Jarak di sekitar video */
  display: flex;
  justify-content: center; /* Kontainer video di tengah horizontal */
  align-items: center; /* Kontainer video di tengah vertikal */
}

.video-container {
  position: relative;
  width: 100%;
  max-width: 800px; /* Sesuaikan dengan maksimal lebar video */
  height: auto; /* Tinggi otomatis berdasarkan isi */
  overflow: hidden;
  border-radius: 10px; /* Membuat sudut video dan shadow melengkung */
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.5); /* Menambahkan bayangan */
}

.video-element {
  width: 100%; /* Video memenuhi lebar kontainer */
  height: auto; /* Tinggi menyesuaikan secara proporsional */
  object-fit: contain; /* Pastikan seluruh video terlihat */
  display: block; /* Menghilangkan jarak default inline-block */
}

/*-----------------------------------*\
 * #CATETORY
\*-----------------------------------*/

.category {
  padding-top: 100px;
  padding-bottom: 100px;
}

.category-list {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  gap: 30px;
}

.category-item {
  width: 100%;
  max-width: 300px;
  position: relative;
  text-align: center;
}

.category-banner {
  background: var(--cultured);
  aspect-ratio: 2 / 2.35;
  overflow: hidden;
}

.category-banner img {
  height: 100%;
  object-fit: cover;
  transition: var(--transition-2);
}

.category-item:hover .category-banner img {
  transform: scale(1.05);
}

.category-item .btn {
  position: absolute;
  bottom: 30px;
  left: 50%;
  transform: translateX(-50%);
  width: max-content;
  padding-inline: 30px;
}

/*-----------------------------------*\
 * #PRODUCT
\*-----------------------------------*/
.section-product {
  background-color: var(--cultured);
  margin-bottom: 50px;
  padding: 50px 0;
}

/* Pastikan container menggunakan flexbox untuk memusatkan konten */
.section-product .container {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.filter-list {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  gap: 10px 20px;
  margin-bottom: 50px;
}

.filter-btn {
  color: inherit;
  font-size: var(--fs-7);
  font-weight: var(--fw-500);
}

.filter-btn.active {
  color: var(--eerie-black);
}

.product-list {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 50px 25px;
  margin-bottom: 60px;
}

.product-card .card-banner {
  position: relative;
  margin-bottom: 20px;
  margin-top: 20px;
}

.product-card .card-badge {
  background: var(--eerie-black);
  color: var(--white);
  position: absolute;
  top: 0;
  left: 0;
  font-size: var(--fs-9);
  font-weight: var(--fw-500);
  padding: 3px 10px;
}

.product-card .card-badge.red {
  background: var(--candy-pink);
}

.product-card .card-badge.green {
  background: var(--ocean-green);
}

.product-card .card-actions {
  display: flex;
  min-height: 60px;
}

.product-card .deskripsi {
  border: 1px solid var(--cultured);
  width: 300px;
  gap: 8px;
  background: var(--white);
  color: var(--eerie-black);
  text-align: left;
  padding: 5px;
  padding-left: 10px;
  padding-right: 10px;
  border-radius: 10px;
}

.product-card .card-action-btn {
  border: 1px solid var(--cultured);
  width: 45px;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 8px;
  background: var(--white);
  color: var(--eerie-black);
}

.product-card .card-action-btn:is(:hover, :focus) {
  border-color: var(--eerie-black);
}

.product-card .cart-btn {
  flex-grow: 1;
  background: var(--eerie-black);
  color: var(--white);
  border-color: var(--eerie-black);
}

.product-card .cart-btn:is(:hover, :focus) {
  background: var(--white);
  color: var(--eerie-black);
}

.product-card .card-action-btn ion-icon {
  font-size: 20px;
}

.product-card .card-title {
  margin-bottom: 0px;
}

.product-card .card-price {
  margin-top: 10px;
  color: var(--eerie-black);
  font-size: var(--fs-8);
  font-weight: var(--fw-500);
}

.product-card .card-price data:not(:first-child) {
  color: var(--sonic-silver);
  margin-left: 5px;
  text-decoration: line-through;
}

.product .btn {
  margin-inline: auto;
}

.hidden {
  display: none;
}

/*-----------------------------------*\
 * TESTIMONI
\*-----------------------------------*/

.testimonial {
  position: relative;
  max-width: 100%;
  width: 100%;
  padding: 50px 0;
  overflow: hidden;
}
.testimonial .image {
  height: 170px;
  width: 170px;
  object-fit: cover;
  border-radius: 50%;
}
.testimonial .slide {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  row-gap: 30px;
  height: 100%;
  width: 100%;
}
.slide p {
  text-align: center;
  padding: 0 160px;
  font-size: var(--fs-7);
  font-weight: 400;
  color: #333;
}
.slide .quote-icon {
  font-size: 30px;
  color: #000000;
}
.slide .details {
  display: flex;
  flex-direction: column;
  align-items: center;
}
.details .name {
  font-size: var(--fs-4);
  font-weight: 600;
  color: #333;
}
.details .job {
  font-size: var(--fs-8);
  font-weight: 400;
  color: #333;
}
/* swiper button css */
.nav-btn {
  height: 40px;
  width: 40px;
  border-radius: 50%;
  transform: translateY(30px);
  background-color: rgba(0, 0, 0, 0.1);
  transition: 0.2s;
}
.nav-btn:hover {
  background-color: rgba(0, 0, 0, 0.2);
}
.nav-btn::after,
.nav-btn::before {
  font-size: 20px;
  color: #fff;
}
.swiper-pagination-bullet {
  background-color: rgba(0, 0, 0, 0.8);
}
.swiper-pagination-bullet-active {
  background-color: #000000;
}
@media screen and (max-width: 768px) {
  .slide p {
    padding: 0 20px;
  }
  .nav-btn {
    display: none;
  }
}

/*-----------------------------------*\
 * #NEWSLATTER
\*-----------------------------------*/

.newsletter {
  padding-bottom: 120px;
}

.newsletter-card {
  background-color: var(--cultured);
  background-repeat: no-repeat;
  background-size: cover;
  background-position: left;
  padding: 80px 15px 120px;
  text-align: center;
  position: relative;
}

.newsletter-card .card-title {
  color: var(--eerie-black);
  font-size: var(--fs-3);
  font-weight: var(--fw-500);
  line-height: 1.2;
  margin-bottom: 30px;
}

.newsletter-card .card-text {
  margin-bottom: 30px;
  font-size: var(--fs-7);
}

.newsletter-card .btn {
  position: absolute;
  bottom: 30px; /* Menempatkan tombol 30px dari bawah */
  left: 50%;
  transform: translateX(-50%);
  width: max-content;
  padding-inline: 35px;
  border-radius: 6px;
}

/*-----------------------------------*\
 * #FOOTER
\*-----------------------------------*/

.footer-top {
  background: var(--cultured);
  padding-block: var(--section-padding);
}

.footer-top .container {
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
  gap: 10px;
}

.footer-brand {
  max-width: 40%;
}

.footer-brand .logo {
  max-width: 100%;
  height: auto;
  margin-bottom: 20px;
}

.footer-text {
  line-height: 1.6;
  margin-bottom: 20px;
}

.social-list {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  gap: 10px;
  visibility: hidden;
}

.social-link {
  color: var(--eerie-black);
  font-size: 18px;
  width: 35px;
  height: 35px;
  border: 1px solid var(--sonic-silver);
  display: grid;
  place-items: center;
  border-radius: 50%;
}

.social-link:is(:hover, :focus) {
  background: var(--eerie-black);
  color: var(--white);
  border-color: var(--eerie-black);
}

.footer-list {
  width: 100%;
  justify-content: end;
  padding-left: 10px;
}

.footer-list-title {
  color: var(--eerie-black);
  font-size: var(--fs-5);
  font-weight: var(--fw-600);
  margin-bottom: 15px;
}

.footer-link {
  position: relative;
  color: inherit;
  padding-block: 5px;
}

.footer-link:is(:hover, :focus) {
  color: var(--eerie-black);
  transform: translateX(15px);
}

.footer-link::before {
  content: "";
  position: absolute;
  top: 50%;
  left: -15px;
  transform: translateY(-50%) scale(var(--scale, 0));
  transform-origin: right;
  background: var(--sonic-silver);
  width: 10px;
  height: 2px;
  transition: var(--transition-1);
}

.footer-link:is(:hover, :focus)::before {
  --scale: 1;
}

.footer-bottom {
  padding-block: 20px;
}

.footer-bottom a {
  color: inherit;
}

.copyright {
  margin-bottom: 15px;
  text-align: center;
}

.copyright a {
  display: inline-block;
  color: var(--eerie-black);
  font-weight: var(--fw-600);
}

.footer-bottom-list {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  gap: 5px 15px;
  margin-bottom: 15px;
}

.footer-bottom-link:is(:hover, :focus) {
  color: var(--eerie-black);
}

.payment {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  gap: 15px;
}

/*-----------------------------------*\
 * #MEDIA QUARIES
\*-----------------------------------*/

/**
 * responsive for larger than 480px screen
 */

@media (min-width: 480px) {
  /**
   * CUSTOM PROPERTY
   */

  :root {
    /**
     * typography
     */

    --fs-1: 3rem;
    --fs-2: 2rem;
  }

  /**
   * CATEGORY
   */

  .category-list > li {
    width: calc(25% - 22.5px);
  }

  /**
   * PRODUCT
   */

  .product-list > li {
    width: calc(50% - 12.5px);
  }

  /**
   * FOOTER
   */

  .footer-brand {
    width: 100%;
  }

  .footer-text {
    max-width: 470px;
  }

  .footer-list {
    width: calc(50% - 20px);
  }
}

/**
 * responsive for larger than 580px screen
 */

@media (min-width: 580px) {
  /**
   * CUSTOM PROPERTY
   */

  :root {
    /**
     * typography
     */

    --fs-1: 3.75rem;
    --fs-2: 2.375rem;
    --fs-3: 2.25rem;
  }

  /**
   * REUSED STYLE
   */

  .container {
    max-width: 550px;
    margin-inline: auto;
  }
}

/**
 * responsive for larger than 768px screen
 */

@media (min-width: 768px) {
  /**
   * REUSED STYLE
   */

  .container {
    max-width: 700px;
  }

  /**
   * HERO
   */

  .hero {
    background-position: center;
    min-height: 800px;
  }

  /**
   * BLOG
   */

  .blog-list > li {
    width: calc(50% - 15px);
  }

  /**
   * NEWSLETTER
   */

  .newsletter-card > * {
    max-width: 680px;
    margin-inline: auto;
  }

  .newsletter-card .card-form {
    position: relative;
  }

  .newsletter-card .input-wrapper {
    margin-bottom: 10px;
  }

  .newsletter-card .btn {
    position: absolute;
    margin-top: 30px;
    margin-bottom: 100px;
    top: 50%;
    left: 50%;
    transform: translate(
      -50%,
      -50%
    ); /* Mengatur tombol ke tengah-tengah form */
    width: max-content;
    padding-inline: 35px;
    border-radius: 6px;
  }

  /**
   * FOOTER
   */

  .footer-list {
    width: calc(33.33% - 26.66px);
  }

  .copyright,
  .footer-bottom-list {
    margin-bottom: 0;
  }
}

/**
 * responsive for larger than 992px screen
 */

@media (min-width: 992px) {
  /**
   * CUSTOM PROPERTY
   */

  :root {
    /**
     * typography
     */

    --fs-1: 5rem;
  }

  /**
   * RESET
   */

  body {
    padding-block: 0;
  }

  /**
   * REUSED STYLE
   */

  .container {
    max-width: 950px;
  }

  /**
   * HEADER
   */

  .header {
    position: relative;
    padding-block: 15px;
    border-bottom: 1px solid hsla(0, 0%, 0%, 0.1);
    margin-bottom: 67px;
  }

  .header.active {
    position: relative;
    box-shadow: none;
  }

  .header .container {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    align-items: center;
  }

  .header-search {
    display: block;
    position: relative;
    width: max-content;
  }

  .header-search .input-field {
    border: 1px solid hsla(0, 0%, 0%, 0.1);
    width: 280px;
    padding: 12px 30px;
    border-radius: 6px;
    transition: var(--transition-1);
  }

  .header-search .input-field:focus {
    outline: 1px solid var(--eerie-black);
  }

  .header-search .search-btn {
    position: absolute;
    top: 50%;
    right: 15px;
    transform: translateY(-50%);
    font-size: 20px;
    color: var(--eerie-black);
  }

  .header-search .search-btn ion-icon {
    --ionicon-stroke-width: 30px;
  }

  .header .logo {
    margin-inline: auto;
  }

  .nav-open-btn,
  .header-action-btn:nth-child(2),
  .navbar-top,
  .overlay {
    display: none;
  }

  .header-actions {
    all: unset;
    display: flex;
    justify-content: flex-end;
    align-items: center;
    gap: 15px;
  }

  .navbar {
    all: unset;
    position: absolute;
    top: calc(100% + 1px);
    left: 0;
    width: 100%;
    background: var(--white);
  }

  .header.active .navbar {
    position: fixed;
    top: 0;
    box-shadow: 0 2px 20px hsla(0, 0%, 0%, 0.1);
  }

  .navbar-list {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 40px;
  }

  .navbar-list > li:not(:last-child) {
    border-bottom: none;
  }

  .navbar-link {
    font-size: var(--fs-7);
    font-weight: var(--fw-500);
    padding-block: 20px;
  }

  .navbar-link:is(:hover, :focus) {
    color: var(--middle-blue-green);
  }

  /**
   * CATEGORY
   */

  .category-list > li:not(:first-child, :nth-child(2)) {
    width: calc(25% - 22.5px);
  }

  /**
   * PRODUCT
   */

  .product-list > li {
    width: calc(33.33% - 16.66px);
  }

  .product-card .card-actions {
    position: absolute;
    bottom: 20px;
    left: 20px;
    right: 20px;
    transform: translateY(100px);
    visibility: hidden;
    transition: var(--transition-1);
  }

  .product-card .card-banner {
    overflow: hidden;
  }

  .product-card .card-banner:hover .card-actions {
    visibility: visible;
    transform: translateY(0);
  }

  .product-card .card-action-btn:first-child {
    border-radius: 6px 0 0 6px;
  }

  .product-card .card-action-btn:last-child {
    border-radius: 0 6px 6px 0;
  }

  /**
   * BLOG
   */

  .blog-list > li {
    width: calc(33.33% - 20px);
  }

  /**
   * NEWSLETTER
   */

  .newsletter-card .card-form {
    max-width: 650px;
  }
}

/**
 * responsive for larger than 1200px screen
 */

@media (min-width: 1200px) {
  /**
   * CUSTOM PROPERTY
   */

  :root {
    /**
     * typography
     */

    --fs-1: 6.25rem;
  }

  /**
   * REUSED STYLE
   */

  .container {
    max-width: 1150px;
  }

  /**
   * HEADER
   */

  .header-search .input-field {
    width: 350px;
  }

  /**
   * PRODUCT
   */

  .product-list > li {
    width: calc(25% - 18.75px);
  }

  /**
   * FOOTER
   */

  .footer-brand {
    width: calc(40% - 30px);
  }

  .footer-text {
    max-width: 340px;
  }

  .footer-list {
    width: calc(20% - 30px);
  }

  .footer-bottom .container {
    justify-content: space-between;
  }
}

/**
 * ABOUT US
 */
.hero-content {
  display: flex;
  align-items: center;
  justify-content: center; /* Mengatur elemen anak ke tengah secara horizontal */
  text-align: center; /* Menjadikan teks di dalamnya rata tengah */
}

.heroabout-title {
  color: white;
  padding: 100px;
  font-size: 4rem;
}

.hero-space {
  background-color: #ffffff; /* Warna putih */
  height: 50px; /* Tinggi jeda */
}

.about-section {
  background-color: var(--abu);
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 30px;
  padding: 50px 20px;
  flex-wrap: wrap; /* Tambahkan agar tetap rapi pada layar kecil */
}

.about-section img {
  width: 100%;
  max-width: 300px; /* Membatasi ukuran maksimum gambar */
}

.about-content {
  max-width: 600px; /* Batas lebar maksimum konten */
  line-height: 1.6;
  padding-top: 30px;
}

.about-content h1 {
  font-size: 2rem;
  margin-bottom: 20px;
  color: var(--white);
}

.about-content p {
  font-size: var(--fs-8);
  margin-bottom: 15px;
  color: var(--white);
  padding-left: 30px;
  text-align: justify;
}

/* About Logo */
.aboutlogo-section {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%; /* Lebar penuh */
  padding-top: 50px;
  padding-bottom: 100px;
}

.aboutlogo-section img {
  max-width: 70%; /* Maksimum 50% dari container */
  height: auto; /* Memastikan gambar tidak terdistorsi */
}

/* VISI & MISI Section */
.visi-section,
.misi-section {
  display: flex;
  flex-direction: column; /* Untuk susunan vertikal */
  align-items: center;
  justify-content: center;
  text-align: center;
  padding: 10px 20px;
  gap: 20px; /* Spasi antar elemen */
}

.misi-section {
  margin-bottom: 100px;
}

.visi-section h1,
.misi-section h1 {
  font-size: var(--fs-2);
  color: var(--black);
  margin-bottom: 10px;
}

.visi-section p,
.misi-section ul {
  font-size: var(--fs-8);
  max-width: 900px; /* Batas lebar konten */
  text-align: justify;
  line-height: 1.8;
  color: var(--black);
}

.misi-section ul li {
  margin-bottom: 10px;
}

/* RESPONSIVE DESIGN */
@media (max-width: 768px) {
  .about-section {
    flex-direction: column; /* Susunan vertikal untuk layar kecil */
  }

  .about-section img {
    width: 50%; /* Gambar lebih besar di layar kecil */
  }

  .about-content {
    max-width: 90%; /* Maksimalkan penggunaan layar */
  }

  .visi-section p,
  .misi-section ul {
    max-width: 90%;
  }
}
